<div class="mx-0 mt-4 team my-5">
  [users container_class="col-md-10 mx-auto fw-600 fs-24px users-list lh-125 ff-sans-serif text-justify uppercase team-list"]{
        "query":{
          "numberusers":20,
          "orderby":"name",
          "order":"ASC",
          "meta_query":[
            {"key":"groups", "value":"team", "compare":"LIKE"}
        ]
        },
        "view":{
            "collection":{
                "layout":"blocks"
            },
            "items":{
              "all":{
                "view":"@theme/widgets/team/_inline"
               }
            }
         }
      }[/users]
    <div class="bg-trame" style="background-image:url('/wp-content/themes/inkyfada/assets/img/trame.png');">
      <div class="row  team-member">
        <div class="col-md-5 px-5 offset-md-1  team-member-avatar">
            <div class="avatar-container w-100 pos-relative" style="border:1px solid transparent;padding-top:100%;">
              <div class="w-100 top-0 direct-0 h-100 pos-absolute">
                <div class="row mx-0 h-100" style="width:100%;" dir="ltr" id="avatar-pieces" background-size:cover;background-image:url(http://inkube.inkyfada.com/wp-content/uploads/2018/12/Chayma.png)">
          </div>
        </div>
            
          </div>
        </div>
        [users container_class="col-md-3 offset-md-1 align-self-center team-member-infos py-4"]
        {
          "query":{
            "numberusers":20,
            "orderby":"name",
            "order":"ASC",
            "meta_query":[
              {"key":"groups", "value":"team", "compare":"LIKE"}
          ]
          },
        "view":{
            "collection":{
                "layout":"blocks"
            },
            "items":{
              "all":{
                "view":"@theme/widgets/team/_info"
               }
            }
         }
      }
      [/users]
        
      </div>
    </div>
</div>
<script type='text/javascript' src='/wp-content/themes/inkyfada/assets/js/jquery.imagesliced.js'></script>
<script type="text/javascript">
  
  // Team members menu handler 
  jQuery('.team-link').each(function(index, item){
    jQuery(item).on('click', function(ev) {
      if(!jQuery(item).hasClass('active') && !isAnimating){
        jQuery('.team-link').removeClass('active');
        jQuery(item).addClass('active');
        jQuery('.infos-slide').hide();
        jQuery('#infos-slide-'+jQuery(item).data('member')).fadeIn(500);
        openImage(ev, item, index);
      }
    })
  });
  
  // Choose a random team member
  jQuery('.infos-slide').hide();
  var randomIndex = Math.floor(Math.random() * jQuery('.infos-slide').length) + 1;
  jQuery('#infos-slide-'+randomIndex).show();
  jQuery('[data-member='+randomIndex+']').addClass('active');
  jQuery('#avatar-pieces').attr('style', 'background-image: url('+jQuery('[data-member='+randomIndex+']').data('image')+')');
  
  // Handle avatar animation
  const piecesObj = new Pieces(document.querySelector('#avatar-pieces'), {
    pieces: {rows: 10, columns: 12},
    delay: [0,40],
    hasTilt: true,
    tilt: {
      maxRotationX: -0.5, 
      maxRotationY: -0.5, 
      maxTranslationX: -0.5, 
      maxTranslationY: -0.5
    }
  });
  
  var current = 0;
  var isAnimating = false;
  
  var openImage = function(ev, item, pos) {
    ev.preventDefault();
    if ( isAnimating || current === pos ) {
      return false;
    }
    isAnimating = true;
    current = pos;
    const imgsrc = item.dataset.image;

    piecesObj.animate({
      duration: 300,
      easing: 'easeOutQuad',
      delay: function(t,i,l) {
        return parseInt(t.dataset.row) * parseInt(t.dataset.delay);
      },
      translateX: function(t,i) {
        return anime.random(-50,50)+'px';
      },
      translateY: function(t,i) { 
        return anime.random(-800,-200)+'px';
      },
      rotateZ: function(t,i) { 
        return anime.random(-45,45)+'deg';
      },
      opacity: 0,
      complete: function() {
        piecesObj.setImage(imgsrc);

        piecesObj.animate({
          duration: 500,
          easing: [0.3,1,0.3,1],
          delay: function(t,i,l) {
            return parseInt(t.dataset.row) * parseInt(t.dataset.delay);
          },
          translateX: 0,
          translateY: function() {
            return [anime.random(200,800)+'px','0px'];
          },
          rotateZ: 0,
          opacity: {
            value: 1,
            duration: 500,
            easing: 'linear'
          },
          complete: function() {
            isAnimating = false;
          }
        });
      }
    });
  };
</script>
<style>
  .team .separator:last-child{
    display: none;
  }
  .team-link.active{
    color: #334B57 !important;
  }

  body.rtl .users-list{
    font-size: 1.9rem !important;
  }

  body.rtl .infos-slide h2{ 
    font-size :2.5rem;
  }

  .team-list{
    text-align-last:right;
  }

  body.rtl .team-list{
    text-align-last: left;
  }
</style>
